Loading...
Searching...
No Matches
Options
Applications » TFTP client/server

## Macros

#define | TFTP_DEBUG LWIP_DBG_OFF
#define | TFTP_PORT LWIP_IANA_PORT_TFTP
#define | TFTP_TIMEOUT_MSECS 10000
#define | TFTP_MAX_RETRIES 5
#define | TFTP_TIMER_MSECS (TFTP_TIMEOUT_MSECS / 10)
#define | TFTP_MAX_FILENAME_LEN 20
#define | TFTP_MAX_MODE_LEN 10

## Detailed Description

## Macro Definition Documentation

## TFTP_DEBUG

#define TFTP_DEBUG LWIP_DBG_OFF

Enable TFTP debug messages

## TFTP_MAX_FILENAME_LEN

#define TFTP_MAX_FILENAME_LEN 20

Max. length of TFTP filename

## TFTP_MAX_MODE_LEN

#define TFTP_MAX_MODE_LEN 10

Max. length of TFTP mode

## TFTP_MAX_RETRIES

#define TFTP_MAX_RETRIES 5

Max. number of retries when a file is read from server

## TFTP_PORT

#define TFTP_PORT LWIP_IANA_PORT_TFTP

TFTP server port

## TFTP_TIMEOUT_MSECS

#define TFTP_TIMEOUT_MSECS 10000

TFTP timeout

## TFTP_TIMER_MSECS

#define TFTP_TIMER_MSECS (TFTP_TIMEOUT_MSECS / 10)

TFTP timer cyclic interval